# Method: projects.guestPolicies.get

- [HTTP request](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/get#try-it)

Get an OS Config guest policy.

### HTTP request

`GET https://osconfig.googleapis.com/v1beta/{name=projects/*/guestPolicies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the guest policy using one of the following forms: `projects/{project_number}/guestPolicies/{guestPolicyId}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies#GuestPolicy`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `osconfig.guestPolicies.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).